diff --git python-enum34/python-enum34.spec python-enum34/python-enum34.spec.tmp
index c11cb1b222..6721cbdc28 100644
--- python-enum34/python-enum34.spec
+++ python-enum34/python-enum34.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-enum34
 Version:        1.1.6
-Release:        2%{?dist}
+Release:        3%{?dist}
 Group:          Development/Libraries
 Summary:        Backport of Python 3.4 Enum
 License:        BSD
@@ -21,19 +21,27 @@ Source0:        https://files.pythonhosted.org/packages/source/e/enum34/enum34-%
 
 BuildRequires:  python2-devel python-setuptools
 
-%description
-Python 3.4 introduced official support for enumerations.  This is a
-backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and 2.4.
+%global _description\
+Python 3.4 introduced official support for enumerations.  This is a\
+backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and 2.4.\
+\
+An enumeration is a set of symbolic names (members) bound to unique,\
+constant values. Within an enumeration, the members can be compared by\
+identity, and the enumeration itself can be iterated over.\
+\
+This module defines two enumeration classes that can be used to define\
+unique sets of names and values: Enum and IntEnum. It also defines one\
+decorator, unique, that ensures only unique member names are present\
+in an enumeration.\
 
-An enumeration is a set of symbolic names (members) bound to unique,
-constant values. Within an enumeration, the members can be compared by
-identity, and the enumeration itself can be iterated over.
 
-This module defines two enumeration classes that can be used to define
-unique sets of names and values: Enum and IntEnum. It also defines one
-decorator, unique, that ensures only unique member names are present
-in an enumeration.
+%description %_description
 
+%package -n python2-enum34
+Summary: %summary
+%{?python_provide:%python_provide python2-enum34}
+
+%description -n python2-enum34 %_description
 
 %prep
 %setup -q -n enum34-%{version}
@@ -52,11 +60,15 @@ popd
 # remove docs from sitelib, we'll put them in doc dir instead
 rm -rf %{buildroot}%{python2_sitelib}/enum/{LICENSE,README,doc}
 
-%files
+%files -n python2-enum34
 %doc PKG-INFO enum/LICENSE enum/README enum/doc/enum.rst
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.6-3
+- Python 2 subpackage renamed to python2-enum34
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-enum/python-enum.spec python-enum/python-enum.spec.tmp
index d5c0f2fd77..9901c41e47 100644
--- python-enum/python-enum.spec
+++ python-enum/python-enum.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-enum
 Version:        0.4.4
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Robust enumerated type support in Python
 
 Group:          Development/Languages
@@ -17,9 +17,17 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires: python-setuptools
 
-%description
+%global _description\
 This package provides a module for robust enumerations in Python.
-    
+
+%description %_description
+
+%package -n python2-enum
+Summary: %summary
+%{?python_provide:%python_provide python2-enum}
+
+%description -n python2-enum %_description
+
 %prep
 %setup -q -n enum-%{version}
 cp -p %{SOURCE1} README
@@ -38,12 +46,16 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-enum
 %defattr(-,root,root,-)
 %doc LICENSE.GPL LICENSE.PSF PKG-INFO README
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.4-15
+- Python 2 subpackage renamed to python2-enum
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-exif/python-exif.spec python-exif/python-exif.spec.tmp
index 29268a5a92..9de0048017 100644
--- python-exif/python-exif.spec
+++ python-exif/python-exif.spec.tmp
@@ -4,7 +4,7 @@
 Summary:        Python module to extract EXIF information
 Name:           python-exif
 Version:        2.1.2
-Release:        7%{?dist}
+Release:        8%{?dist}
 License:        BSD
 Group:          Development/Libraries
 URL:            https://github.com/ianare/exif-py
@@ -17,9 +17,17 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-devel
 %endif
 
-%description
+%global _description\
 Python Library to extract EXIF information in digital camera image files.
 
+%description %_description
+
+%package -n python2-exif
+Summary: %summary
+%{?python_provide:%python_provide python2-exif}
+
+%description -n python2-exif %_description
+
 %if 0%{?with_python3}
 %package -n    python3-exif
 Summary:       Python 3 module to extract EXIF information
@@ -57,7 +65,7 @@ popd
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 ln -s EXIF.py %{buildroot}%{_bindir}/EXIF
 
-%files
+%files -n python2-exif
 %doc ChangeLog.rst LICENSE.txt README.rst
 %{_bindir}/EXIF
 %{_bindir}/EXIF.py
@@ -74,6 +82,10 @@ ln -s EXIF.py %{buildroot}%{_bindir}/EXIF
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-8
+- Python 2 subpackage renamed to python2-exif
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-extras/python-extras.spec python-extras/python-extras.spec.tmp
index cdebde49b0..a1c426418b 100644
--- python-extras/python-extras.spec
+++ python-extras/python-extras.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-extras
 Version:        0.0.3
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        Useful extra bits for Python
 
 License:        MIT
@@ -28,11 +28,19 @@ BuildRequires:  python3-testtools
 %endif # with_tests
 %endif
 
-%description
-extras is a set of extensions to the Python standard library, originally
-written to make the code within testtools cleaner, but now split out for
-general use outside of a testing context.
+%global _description\
+extras is a set of extensions to the Python standard library, originally\
+written to make the code within testtools cleaner, but now split out for\
+general use outside of a testing context.\
+
 
+%description %_description
+
+%package -n python2-extras
+Summary: %summary
+%{?python_provide:%python_provide python2-extras}
+
+%description -n python2-extras %_description
 
 %if 0%{?with_python3}
 %package -n python3-extras
@@ -94,7 +102,7 @@ popd
 
 
 
-%files
+%files -n python2-extras
 %doc LICENSE NEWS README.rst
 # For noarch packages: sitelib
 %{python_sitelib}/*
@@ -107,6 +115,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.3-17
+- Python 2 subpackage renamed to python2-extras
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fedbadges/python-fedbadges.spec python-fedbadges/python-fedbadges.spec.tmp
index 4016acdaa5..8a043cf4e6 100644
--- python-fedbadges/python-fedbadges.spec
+++ python-fedbadges/python-fedbadges.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-fedbadges
 Version:            0.5.2
-Release:            5%{?dist}
+Release:            6%{?dist}
 Summary:            fedmsg consumer for awarding open badges
 
 Group:              Development/Libraries
@@ -24,21 +24,28 @@ BuildRequires:      python-zope-sqlalchemy
 BuildRequires:      python-nose
 BuildRequires:      python-mock
 
-Requires:           fedmsg
-Requires:           PyYAML
-Requires:           python-fedmsg-meta-fedora-infrastructure
-Requires:           python-tahrir-api >= 0.6.0
-Requires:           python-datanommer-models
-Requires:           python-zope-sqlalchemy
-
 
-%description
-fedbadges is the python module necessary to award Open Badges from
-fedmsg bus activity.  It installs a 'consumer' for the fedmsg-hub.
-Each message it receives is compared against any number of rules defined
-in config files on disk.  If any match, badges are awarded to the
+%global _description\
+fedbadges is the python module necessary to award Open Badges from\
+fedmsg bus activity.  It installs a 'consumer' for the fedmsg-hub.\
+Each message it receives is compared against any number of rules defined\
+in config files on disk.  If any match, badges are awarded to the\
 appropriate users.
 
+%description %_description
+
+%package -n python2-fedbadges
+Summary: %summary
+Requires:           python-zope-sqlalchemy
+Requires:           python-datanommer-models
+Requires:           python-tahrir-api >= 0.6.0
+Requires:           python-fedmsg-meta-fedora-infrastructure
+Requires:           PyYAML
+Requires:           fedmsg
+%{?python_provide:%python_provide python2-fedbadges}
+
+%description -n python2-fedbadges %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -60,12 +67,16 @@ rm %{buildroot}/%{_bindir}/fedmsg-badges
 %check
 %{__python} setup.py test
 
-%files
+%files -n python2-fedbadges
 %doc README.rst LICENSE
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.2-6
+- Python 2 subpackage renamed to python2-fedbadges
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fedimg/python-fedimg.spec python-fedimg/python-fedimg.spec.tmp
index f59f30d8e8..4dcbacdb75 100644
--- python-fedimg/python-fedimg.spec
+++ python-fedimg/python-fedimg.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-fedimg
 Version:            0.7.5
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            Automatically upload Fedora Cloud images to cloud providers
 
 Group:              Development/Libraries
@@ -22,16 +22,23 @@ BuildRequires:      python-libcloud
 BuildRequires:      python-paramiko
 BuildRequires:      python2-fedfind
 
-Requires:           fedmsg
-Requires:           python-libcloud
-Requires:           python-paramiko
-Requires:           python2-fedfind
 
-
-%description
-A service that listens to the Fedmsg bus and automatically uploads built Fedora
+%global _description\
+A service that listens to the Fedmsg bus and automatically uploads built Fedora\
 cloud images to internal and external cloud providers
 
+%description %_description
+
+%package -n python2-fedimg
+Summary: %summary
+Requires:           python2-fedfind
+Requires:           python-paramiko
+Requires:           python-libcloud
+Requires:           fedmsg
+%{?python_provide:%python_provide python2-fedimg}
+
+%description -n python2-fedimg %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -52,7 +59,7 @@ rm -rf %{modname}.egg-info
 %check
 %{__python} setup.py test
 
-%files
+%files -n python2-fedimg
 %doc docs/ README.md LICENSE
 %config(noreplace) %{_sysconfdir}/fedimg.cfg
 %config(noreplace) %{_sysconfdir}/fedmsg.d/fedimg.py*
@@ -61,6 +68,10 @@ rm -rf %{modname}.egg-info
 %{python_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.5-3
+- Python 2 subpackage renamed to python2-fedimg
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fedmsg-genacls/python-fedmsg-genacls.spec python-fedmsg-genacls/python-fedmsg-genacls.spec.tmp
index 000fdae836..2d90cb1936 100644
--- python-fedmsg-genacls/python-fedmsg-genacls.spec
+++ python-fedmsg-genacls/python-fedmsg-genacls.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:               python-fedmsg-genacls
 Version:            0.6
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            A fedmsg consumer that sets gitosis acls in response to pkgdb messages
 
 Group:              Development/Libraries
@@ -16,11 +16,18 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 BuildRequires:      fedmsg
 
+%global _description\
+An example of using fedmsg to monitor pkgdb for messages, but delaying action\
+for a few seconds to accumulate messages and avoid pile-up.
+
+%description %_description
+
+%package -n python2-fedmsg-genacls
+Summary: %summary
 Requires:           fedmsg
+%{?python_provide:%python_provide python2-fedmsg-genacls}
 
-%description
-An example of using fedmsg to monitor pkgdb for messages, but delaying action
-for a few seconds to accumulate messages and avoid pile-up.
+%description -n python2-fedmsg-genacls %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -37,7 +44,7 @@ rm -rf %{modname}.egg-info
 mkdir -p %{buildroot}%{_sysconfdir}/fedmsg.d/
 cp -p fedmsg.d/genacls-example-config.py %{buildroot}%{_sysconfdir}/fedmsg.d/genacls.py
 
-%files
+%files -n python2-fedmsg-genacls
 %doc README.rst LICENSE
 %{python2_sitelib}/%{modname}.py*
 %{python2_sitelib}/%{modname}-%{version}*
@@ -46,6 +53,10 @@ cp -p fedmsg.d/genacls-example-config.py %{buildroot}%{_sysconfdir}/fedmsg.d/gen
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-3
+- Python 2 subpackage renamed to python2-fedmsg-genacls
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fedmsg-meta-debian/python-fedmsg-meta-debian.spec python-fedmsg-meta-debian/python-fedmsg-meta-debian.spec.tmp
index 4cddcb12fe..66f84e95ad 100644
--- python-fedmsg-meta-debian/python-fedmsg-meta-debian.spec
+++ python-fedmsg-meta-debian/python-fedmsg-meta-debian.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:               python-fedmsg-meta-debian
 Version:            0.1
-Release:            8%{?dist}
+Release:            9%{?dist}
 Summary:            Metadata providers for Debian's fedmsg deployment
 
 Group:              Development/Libraries
@@ -18,19 +18,26 @@ BuildRequires:      python2-devel
 BuildRequires:      fedmsg >= 0.6.1
 BuildRequires:      python-setuptools
 
-Requires:           fedmsg >= 0.6.1
-Requires:           python-fedora
+
+%global _description\
+fedmsg <http://fedmsg.com> is a set of tools for knitting together\
+services and webapps into a realtime messaging net. This package contains\
+metadata provider plugins for the Debian deployment of that system.\
+\
+If you were to deploy fedmsg at another site, you would like want to write\
+your own module like this one that could provide textual representations of\
+your messages.\
 
 
-%description
-fedmsg <http://fedmsg.com> is a set of tools for knitting together
-services and webapps into a realtime messaging net. This package contains
-metadata provider plugins for the Debian deployment of that system.
+%description %_description
 
-If you were to deploy fedmsg at another site, you would like want to write
-your own module like this one that could provide textual representations of
-your messages.
+%package -n python2-fedmsg-meta-debian
+Summary: %summary
+Requires:           python-fedora
+Requires:           fedmsg >= 0.6.1
+%{?python_provide:%python_provide python2-fedmsg-meta-debian}
 
+%description -n python2-fedmsg-meta-debian %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -51,12 +58,16 @@ rm -rf %{modname}.egg-info
 %{__python} setup.py test
 
 
-%files
+%files -n python2-fedmsg-meta-debian
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{modname}-%{version}*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-9
+- Python 2 subpackage renamed to python2-fedmsg-meta-debian
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ferari/python-ferari.spec python-ferari/python-ferari.spec.tmp
index 7399e5d700..daa5044fe4 100644
--- python-ferari/python-ferari.spec
+++ python-ferari/python-ferari.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-ferari
 Version:        0.2.0
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Optimizer for finite element code
 
 License:        LGPLv2
@@ -13,11 +13,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-FErari (Finite Element rearrangement to automatically reduce instructions)
-generates optimized code for evaluation of the element tensor (element
+%global _description\
+FErari (Finite Element rearrangement to automatically reduce instructions)\
+generates optimized code for evaluation of the element tensor (element\
 stiffness matrix) and functions as an optimizing backend for FFC.
 
+%description %_description
+
+%package -n python2-ferari
+Summary: %summary
+%{?python_provide:%python_provide python2-ferari}
+
+%description -n python2-ferari %_description
+
 %prep
 %setup -q -n ferari-%{version}
 sed -i -e '/^#!\//, 1d' ferari/xpermutations.py
@@ -28,12 +36,16 @@ sed -i -e '/^#!\//, 1d' ferari/xpermutations.py
 %install
 %{__python} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-ferari
 %doc AUTHORS ChangeLog README
 %{python_sitelib}/ferari/
 %{python_sitelib}/ferari*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-16
+- Python 2 subpackage renamed to python2-ferari
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-firehose/python-firehose.spec python-firehose/python-firehose.spec.tmp
index b8d51f8b39..f0cf904761 100644
--- python-firehose/python-firehose.spec
+++ python-firehose/python-firehose.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-firehose
 Version:        0.2
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Library for working with output from static code analyzers
 
 License:        LGPLv2+
@@ -27,18 +27,25 @@ BuildRequires:  python3-mock
 # ^^^: used during selftests
 %endif
 
-Requires:  python-six
+%global _description\
+"firehose" is a Python package intended for managing the results from\
+code analysis tools (e.g. compiler warnings, static analysis, linters,\
+etc).\
+\
+It currently provides parsers for the output of gcc, clang-analyzer and\
+cppcheck.  These parsers convert the results into a common data model of\
+Python objects, with methods for lossless roundtrips through a provided\
+XML format.  There is also a JSON equivalent.\
 
-%description
-"firehose" is a Python package intended for managing the results from
-code analysis tools (e.g. compiler warnings, static analysis, linters,
-etc).
 
-It currently provides parsers for the output of gcc, clang-analyzer and
-cppcheck.  These parsers convert the results into a common data model of
-Python objects, with methods for lossless roundtrips through a provided
-XML format.  There is also a JSON equivalent.
+%description %_description
 
+%package -n python2-firehose
+Summary: %summary
+Requires:  python-six
+%{?python_provide:%python_provide python2-firehose}
+
+%description -n python2-firehose %_description
 
 %if 0%{?with_python3}
 %package -n python3-firehose
@@ -105,7 +112,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-firehose
 %doc README.rst lgpl-2.1.txt examples firehose.rng
 %{python_sitelib}/firehose
 %{python_sitelib}/firehose-%{version}-py2.?.egg-info
@@ -120,6 +127,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-14
+- Python 2 subpackage renamed to python2-firehose
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fixtures/python-fixtures.spec python-fixtures/python-fixtures.spec.tmp
index bfa8049ee6..68a38c1359 100644
--- python-fixtures/python-fixtures.spec
+++ python-fixtures/python-fixtures.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{pypi_name}
 Version:        3.0.0
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Fixtures, reusable state for writing clean tests and more
 
 License:        ASL 2.0 or BSD
@@ -22,15 +22,22 @@ BuildRequires:  python-pbr >= 0.11
 BuildRequires:  python-mock
 BuildRequires:  python-testtools >= 0.9.22
 
-Requires:       python-testtools >= 0.9.22
+%global _description\
+Fixtures defines a Python contract for reusable state / support logic,\
+primarily for unit testing. Helper and adaption logic is included to\
+make it easy to write your own fixtures using the fixtures contract.\
+Glue code is provided that makes using fixtures that meet the Fixtures\
+contract in unit test compatible test cases easy and straight forward.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python-six
+Requires:       python-testtools >= 0.9.22
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-Fixtures defines a Python contract for reusable state / support logic,
-primarily for unit testing. Helper and adaption logic is included to
-make it easy to write your own fixtures using the fixtures contract.
-Glue code is provided that makes using fixtures that meet the Fixtures
-contract in unit test compatible test cases easy and straight forward.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -77,7 +84,7 @@ contract in unit test compatible test cases easy and straight forward.
 %{__python3} -m testtools.run fixtures.test_suite
 %endif
 
-%files
+%files -n python2-%{pypi_name}
 %doc README GOALS NEWS Apache-2.0 BSD COPYING
 %{python_sitelib}/%{pypi_name}
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -90,6 +97,10 @@ contract in unit test compatible test cases easy and straight forward.
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.0-6
+- Python 2 subpackage renamed to python2-fixtures
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-admin/python-flask-admin.spec python-flask-admin/python-flask-admin.spec.tmp
index 0f83f321bd..e734e5fc24 100644
--- python-flask-admin/python-flask-admin.spec
+++ python-flask-admin/python-flask-admin.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:		python-%{pkgname}
 Version:	1.4.2
-Release:	4%{?dist}
+Release:	5%{?dist}
 Summary:	%{sum}
 License:	BSD
 URL:		https://github.com/flask-admin/flask-admin/
@@ -12,22 +12,30 @@ Source0:	https://github.com/flask-admin/flask-admin/archive/v%{version}.tar.gz
 
 BuildArch:	noarch
 BuildRequires:	python2-devel python-setuptools python3-devel python3-setuptools
-Requires:	python-flask
-Requires:   python-wtforms
 
-%description
-Flask-Admin is advanced, extensible and simple to use administrative interface
-building extension for Flask framework.
+%global _description\
+Flask-Admin is advanced, extensible and simple to use administrative interface\
+building extension for Flask framework.\
+\
+It comes with batteries included: model scaffolding for SQLAlchemy,\
+MongoEngine, MongoDB and Peewee ORMs, simple file management interface\
+and a lot of usage samples.\
+\
+You're not limited by the default functionality - instead of providing simple\
+scaffolding for the ORM models, Flask-Admin provides tools that can be used to\
+construct administrative interfaces of any complexity, using a consistent look\
+and feel.\
 
-It comes with batteries included: model scaffolding for SQLAlchemy,
-MongoEngine, MongoDB and Peewee ORMs, simple file management interface
-and a lot of usage samples.
 
-You're not limited by the default functionality - instead of providing simple
-scaffolding for the ORM models, Flask-Admin provides tools that can be used to
-construct administrative interfaces of any complexity, using a consistent look
-and feel.
+%description %_description
 
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:   python-wtforms
+Requires:	python-flask
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package -n python3-%{pkgname}
 Summary:	%{sum}
@@ -79,7 +87,7 @@ rm flask_admin/translations/README.md
 (cd %{buildroot} && find . -name 'admin.mo')| %{__grep} -v python3.4 | %{__sed} -e 's|^.||' | %{__sed} -e 's:\(.*/translations/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' >> admin.lang
 (cd %{buildroot} && find . -name 'admin.mo') | %{__grep} -v python2.7 |  %{__sed} -e 's|^.||' | %{__sed} -e 's:\(.*/translations/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' >> admin3.lang
 
-%files -f admin.lang
+%files -n python2-%{pkgname} -f admin.lang
 %defattr(644, -, -, 755)
 %license LICENSE
 %doc README.rst
@@ -111,6 +119,10 @@ rm flask_admin/translations/README.md
 %{python3_sitelib}/*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.2-5
+- Python 2 subpackage renamed to python2-flask-admin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-assets/python-flask-assets.spec python-flask-assets/python-flask-assets.spec.tmp
index cbc09c299b..c0f3e92f43 100644
--- python-flask-assets/python-flask-assets.spec
+++ python-flask-assets/python-flask-assets.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-flask-assets
 Version:        0.10
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Asset management for flask
 
 Group:          Development/Libraries
@@ -17,17 +17,25 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-webassets
-Requires:       python-webassets
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 BuildRequires:  python3-webassets
 %endif
 
-%description
-Integrates the webassets library with Flask, adding support
+%global _description\
+Integrates the webassets library with Flask, adding support\
 for merging, minifying and compiling CSS and Javascript files.
 
+%description %_description
+
+%package -n python2-flask-assets
+Summary: %summary
+Requires:       python-webassets
+%{?python_provide:%python_provide python2-flask-assets}
+
+%description -n python2-flask-assets %_description
+
 %if 0%{?with_python3}
 %package -n     python3-flask-assets
 Summary:        Asset management for flask
@@ -69,7 +77,7 @@ mkdir -p $RPM_BUILD_ROOT%{python3_sitelib}
 popd
 %endif
 
-%files
+%files -n python2-flask-assets
 %doc docs/ README.rst CHANGES LICENSE PKG-INFO
 %{python_sitelib}/*
 
@@ -80,6 +88,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10-9
+- Python 2 subpackage renamed to python2-flask-assets
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-autoindex/python-flask-autoindex.spec python-flask-autoindex/python-flask-autoindex.spec.tmp
index b32f96d01d..d67a33f659 100644
--- python-flask-autoindex/python-flask-autoindex.spec
+++ python-flask-autoindex/python-flask-autoindex.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-flask-autoindex
 Version:	0.4.1
-Release:	15%{?dist}
+Release:	16%{?dist}
 Summary:	A mod_autoindex for Flask
 Group:		Development/Libraries
 License:	BSD
@@ -13,17 +13,25 @@ BuildRequires:	python-devel
 BuildRequires:	python-flask
 BuildRequires:	python-flask-silk
 BuildRequires:	python-setuptools
-Requires:	python-flask
-Requires:	python-flask-silk
 
 # https://github.com/sublee/flask-autoindex/issues/12
 Patch0:		%{name}-tests.patch
 
-%description
-Flask-AutoIndex generates an index page for your Flask application
-automatically. The result just like mod_autoindex, but the look is
+%global _description\
+Flask-AutoIndex generates an index page for your Flask application\
+automatically. The result just like mod_autoindex, but the look is\
 more awesome!
 
+%description %_description
+
+%package -n python2-flask-autoindex
+Summary: %summary
+Requires:	python-flask-silk
+Requires:	python-flask
+%{?python_provide:%python_provide python2-flask-autoindex}
+
+%description -n python2-flask-autoindex %_description
+
 %prep
 %setup -q -n %{mod_name}-%{version}
 %patch0 -p1
@@ -41,7 +49,7 @@ sed -i 's|^\(from \)flaskext\.\(autoindex\)|\1\2|' \
     build/lib/flaskext/autoindex/icons.py
 PYTHONPATH=$PWD/build/lib/flaskext:$PYTHONPATH python tests/__init__.py
 
-%files
+%files -n python2-flask-autoindex
 %doc LICENSE PKG-INFO README
 %{python_sitelib}/*-nspkg.pth
 %{python_sitelib}/*.egg-info/
@@ -49,6 +57,10 @@ PYTHONPATH=$PWD/build/lib/flaskext:$PYTHONPATH python tests/__init__.py
 %{python_sitelib}/flaskext/autoindex
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-16
+- Python 2 subpackage renamed to python2-flask-autoindex
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
